Subject: Re: bug#63329: [PATCH] gnu: Use gexps for gcc-boot0 and related packages.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 07 May 2023 23:27:33 +0200

Hi,

Christopher Baines <[email-masked]> skribis:

> There are currently problems with native or cross building for i586-gnu, and
> one factor mixed up with this is that some of the gcc packages use sexp's for
> the phases, and thus introducing gexp's has caused problems.
>
> As part of the going in circles with this, this commit switches gcc-boot0 to
> use gexp's in it's arguments, and then also modifies libstdc++-boot0,
> libstdc++-boot0-gcc7, cross-gcc-wrapper, gcc-final and make-libstdc++ to
> handle this change.
>
> If done correctly, this change shouldn't affect any derivations.
>
> * gnu/packages/commencement.scm (libstdc++-boot0, libstdc++-boot0-gcc7,
> gcc-boot0, gcc-final)[arguments]: Use gexps.
> (cross-gcc-wrapper): Use gexps in the generated package.
> * gnu/packages/gcc.scm (make-libstdc++): Use gexps in the generated package.

I’m late to the party, but I think it goes in the right direction.
Thank you!

Ludo’.